org.keycloak.models.jpa.entities

## Class RequiredCredentialEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.RequiredCredentialEntity

-     @Entity
      public class RequiredCredentialEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RequiredCredentialEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `formLabel`
    `protected boolean` | `input`
    `protected RealmEntity` | `realm`
    `protected boolean` | `secret`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequiredCredentialEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getFormLabel()`
    `RealmEntity` | `getRealm()`
    `String` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isInput()`
    `boolean` | `isSecret()`
    `void` | `setFormLabel(String formLabel)`
    `void` | `setInput(boolean input)`
    `void` | `setRealm(RealmEntity realm)`
    `void` | `setSecret(boolean secret)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected RealmEntity realm

    - #### type

          protected String type

    - #### input

          protected boolean input

    - #### secret

          protected boolean secret

    - #### formLabel

          protected String formLabel

  - ### Constructor Detail

    - #### RequiredCredentialEntity

          public RequiredCredentialEntity()

  - ### Method Detail

    - #### getRealm

          public RealmEntity getRealm()

    - #### setRealm

          public void setRealm(RealmEntity realm)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### isInput

          public boolean isInput()

    - #### setInput

          public void setInput(boolean input)

    - #### isSecret

          public boolean isSecret()

    - #### setSecret

          public void setSecret(boolean secret)

    - #### getFormLabel

          public String getFormLabel()

    - #### setFormLabel

          public void setFormLabel(String formLabel)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.